IcedTea-Web NetX

## net.sourceforge.jnlp.security
Enum SecurityDialogs.DialogType

    java.lang.Object
      java.lang.Enum<SecurityDialogs.DialogType>
          net.sourceforge.jnlp.security.SecurityDialogs.DialogType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SecurityDialogs.DialogType>

Enclosing class:
  SecurityDialogs

    public static enum SecurityDialogs.DialogType

extends java.lang.Enum<SecurityDialogs.DialogType>

Types of dialogs we can create

Enum Constant Summary
`ACCESS_WARNING`
`APPLET_WARNING`
`AUTHENTICATION`
`CERT_INFO`
`CERT_WARNING`
`MORE_INFO`
`NOTALLSIGNED_WARNING`
`SINGLE_CERT_INFO`
`UNSIGNED_WARNING`

Method Summary
`static SecurityDialogs.DialogType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SecurityDialogs.DialogType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CERT_WARNING

    public static final SecurityDialogs.DialogType CERT_WARNING

### MORE_INFO

    public static final SecurityDialogs.DialogType MORE_INFO

### CERT_INFO

    public static final SecurityDialogs.DialogType CERT_INFO

### SINGLE_CERT_INFO

    public static final SecurityDialogs.DialogType SINGLE_CERT_INFO

### ACCESS_WARNING

    public static final SecurityDialogs.DialogType ACCESS_WARNING

### NOTALLSIGNED_WARNING

    public static final SecurityDialogs.DialogType NOTALLSIGNED_WARNING

### UNSIGNED_WARNING

    public static final SecurityDialogs.DialogType UNSIGNED_WARNING

### APPLET_WARNING

    public static final SecurityDialogs.DialogType APPLET_WARNING

### AUTHENTICATION

    public static final SecurityDialogs.DialogType AUTHENTICATION

Method Detail

### values

    public static SecurityDialogs.DialogType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SecurityDialogs.DialogType c : SecurityDialogs.DialogType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SecurityDialogs.DialogType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

IcedTea-Web NetX

Submit a bug or feature